DESCRIPTION = "FOFB system for DAMC-FMC2ZUP"

# disable autologin at startup on serial tty
IMAGE_AUTOLOGIN = "0"

# Based on the petalinux image minimal
require ./recipes-core/images/petalinux-image-minimal.bb

# Include ZUP common
# this deploy HW packages for zup, zup-demo package
# and some applications (htop, vim, nano, python3...)
require ./recipes-core/images/zup-common.inc

# Add features
IMAGE_FEATURES_append = " \
    package-management \
    petalinux-base \
    petalinux-networking-stack \
    petalinux-utils \
    petalinux-python-modules \
    "

# Add applications
IMAGE_INSTALL_append = " haveged"
IMAGE_INSTALL_append = " util-linux glibc-utils sudo"
IMAGE_INSTALL_append = " packagegroup-techlab-devbox"
IMAGE_INSTALL_append = " packagegroup-locale-support"
IMAGE_INSTALL_append = " packagegroup-recovery-support"
IMAGE_INSTALL_append = " python3-asyncua"

# Switch root shell to zsh
inherit extrausers
EXTRA_USERS_PARAMS = "usermod -s /bin/zsh root"

# Remove graphical features
DISTRO_FEATURES_remove = " x11 wayland opengl qt jupyter"
# Not sure the following is usefull...
IMAGE_FEATURES_remove = " x11 wayland opengl qt jupyter"

# Remove unwanted features
DISTRO_FEATURES_remove = " wifi bluetooth 3g nfc"

